<%@ page pageEncoding="UTF-8" %><%@page buffer="none"
      import="java.util.*" %>
<%!

String getVenueMetaDataLocalized(String uid, String whenNotFound, Locale locale) {
    String metadata = "";
    String lang = locale.toString();

    if (uid.startsWith("Row ") || uid.startsWith("Block ")) {
        
    	if (lang.equals("en")) {
		    metadata = uid;
		    return metadata;
		}
	
		String[] parts = uid.split(" ");
        String prefix = "";
        String postfix = "";

        try {
	    prefix = parts[0];
	    postfix = parts[1];
        } catch (Exception e) {
	    metadata = uid;
	    return metadata;
        }

        if (prefix.equals("Row")) {
	    if (lang.equals("sv")) { prefix = "Rad"; }
	    if (lang.equals("dk")) { prefix = "Række"; }
	    if (lang.equals("no")) { prefix = "Rad"; }
	    if (lang.equals("ru")) { prefix = "???"; }
	    if (lang.equals("fi")) { prefix = "Rivi"; }
	    if (lang.equals("nl")) { prefix = "Rij"; }
        } else if (prefix.equals("Block")) {
	    if (lang.equals("sv")) { prefix = "Sektion"; }
	    if (lang.equals("dk")) { prefix = "Sektion"; }
	    if (lang.equals("no")) { prefix = "Seksjon"; }
	    if (lang.equals("ru")) { prefix = "??????"; }
	    if (lang.equals("fi")) { prefix = "Lohko"; }
	    if (lang.equals("nl")) { prefix = "Sectie"; }
        }

        metadata = prefix + " " + postfix;
        return metadata;
    }

    try {
        // fetch VenueMetaData by uid - if match found, return getNameLocalized()
        Collection<VenueMetaData> vms = HibernateUtil
            .currentSession()
            .createQuery("from VenueMetaData v where v.uid = ?")
            .setString(0, uid)
            .list();
        VenueMetaData vmd = vms.iterator().next();
        metadata = vmd.getNameLocalized(locale);
    } catch (Exception e) {
        // no match found, use default
        metadata = whenNotFound;
    }

    return metadata;
}

String getSodvSection(SellOrderDetailsVersion sodv, Locale locale) {
    String ret = "";

    try  {
      ret = getVenueMetaDataLocalized(sodv.getSection(), sodv.getSection(), locale);
    } catch (Exception e) {
      ret = sodv.getSection();
    }

    return ret;
}

String getSodvRow(SellOrderDetailsVersion sodv, Locale locale) {
    String ret = "";

    try {
      ret = getVenueMetaDataLocalized(sodv.getRow(), sodv.getRow(), locale);
    } catch (Exception e) {
      ret = sodv.getRow();
    }    

    return ret;
}

%>